/* .table-no-padding td {
    
    padding: 2px;
} */
td:empty::after{
    content: "\00a0";
  }

.text-black {
    /* background-color: lightgrey; */
    color: black;
}
.rightside-tab-btn { 
    float:right; 
    line-height:34px;
}
/* For table selection highlight */
.tr-selected {
    background-color: lightcyan !important;
    /* color: #FFF !important; */
}

.tr-conflict {
    background-color: #ffd6cc !important;
    /* color: #FFF !important; */
}

.tr-no-conflict {
    background-color: #ccffcc !important;
    /* color: #FFF !important; */
}

#map {
    position: relative;
    border: 1px solid grey;
    border-radius: 8px;
    height: 550px;
    width: 100%;
}

.leaflet-tile {
    filter: hue-rotate(50deg) !important;
}

.btn btn-primary {
    padding: 1rem;
    margin-bottom: 1rem;
}

.my-leaflet-map-container img {
    max-height: none;
}

#spinner {
    display: none;
    position: absolute;
    height: 100px;
    width: 100px;
    top: 50%;
    left: 50%;
    margin-left: -50px;
    margin-top: -50px;
}

body.busy .spinner {
    display: block !important;
}

.star {
    font-size: 1.5em;
}

#wrapper {
    margin-left: auto;
}

tr.move-add {
    animation-name: product-animation-add;
    animation-duration: 1s;
}

@keyframes product-animation-add {
    0% {
        background-color: lightskyblue;
    }
    80% {
        background-color: white;
    }
}

tr.move-delete {
    animation-name: product-animation-delete;
    animation-duration: 1s;
}


@keyframes product-animation-delete{
    0% {
        background-color: red;
    }
    80% {
        background-color: white;
    }
}

.form-group > .select2-container {
    width: 100% !important;
}